Altibase.jdbc.driver.datatype

## Class LobObjectFactory

- java.lang.Object
- - Altibase.jdbc.driver.datatype.LobObjectFactory

    public abstract class LobObjectFactory
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`LobObjectFactory()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`static java.io.InputStream` `createAsciiStream(long aLocatorId, long aLobLength, byte[] aLobCache)`
`protected abstract java.io.InputStream` `createAsciiStreamImpl(long aLocatorId, long aLobLength, byte[] aLobCache)`
`static java.io.InputStream` `createBinaryStream(long aLocatorId, long aLobLength, byte[] aLobCache)`
`protected abstract java.io.InputStream` `createBinaryStreamImpl(long aLocatorId, long aLobLength, byte[] aLobCache)`
`static java.sql.Blob` `createBlob(long aLocatorId, long aLobLength, byte[] aLobCache)`
`protected abstract java.sql.Blob` `createBlobImpl(long aLocatorId, long aLobLength, byte[] aLobCache)`
`static java.io.Reader` `createCharacterStream(long aLocatorId, long aLobByteLength, byte[] aLobByteCache, char[] aLobCharCache)`
`protected abstract java.io.Reader` `createCharacterStreamImpl(long aLocatorId, long aLobByteLength, byte[] aLobByteCache, char[] aLobCharCache)`
`static java.sql.Clob` `createClob(long aLocatorId, long aLobByteLength, byte[] aLobByteCache, char[] aLobCharCache)`
`protected abstract java.sql.Clob` `createClobImpl(long aLocatorId, long aLobByteLength, byte[] aLobByteCache, char[] aLobCache)`
`protected static void` `setFactoryImpl(LobObjectFactory aFactoryInstance)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LobObjectFactory

    public LobObjectFactory()

### Method Detail

#### setFactoryImpl

    protected static void setFactoryImpl(LobObjectFactory aFactoryInstance)

#### createBinaryStream

    public static java.io.InputStream createBinaryStream(long aLocatorId,
                                                         long aLobLength,
                                                         byte[] aLobCache)

#### createAsciiStream

    public static java.io.InputStream createAsciiStream(long aLocatorId,
                                                        long aLobLength,
                                                        byte[] aLobCache)

#### createCharacterStream

    public static java.io.Reader createCharacterStream(long aLocatorId,
                                                       long aLobByteLength,
                                                       byte[] aLobByteCache,
                                                       char[] aLobCharCache)

#### createBlob

    public static java.sql.Blob createBlob(long aLocatorId,
                                           long aLobLength,
                                           byte[] aLobCache)

#### createClob

    public static java.sql.Clob createClob(long aLocatorId,
                                           long aLobByteLength,
                                           byte[] aLobByteCache,
                                           char[] aLobCharCache)

#### createBinaryStreamImpl

    protected abstract java.io.InputStream createBinaryStreamImpl(long aLocatorId,
                                                                  long aLobLength,
                                                                  byte[] aLobCache)

#### createAsciiStreamImpl

    protected abstract java.io.InputStream createAsciiStreamImpl(long aLocatorId,
                                                                 long aLobLength,
                                                                 byte[] aLobCache)

#### createCharacterStreamImpl

    protected abstract java.io.Reader createCharacterStreamImpl(long aLocatorId,
                                                                long aLobByteLength,
                                                                byte[] aLobByteCache,
                                                                char[] aLobCharCache)

#### createBlobImpl

    protected abstract java.sql.Blob createBlobImpl(long aLocatorId,
                                                    long aLobLength,
                                                    byte[] aLobCache)

#### createClobImpl

    protected abstract java.sql.Clob createClobImpl(long aLocatorId,
                                                    long aLobByteLength,
                                                    byte[] aLobByteCache,
                                                    char[] aLobCache)